View Issue Details

IDProjectCategoryView StatusLast Update
0029905LazarusWidgetsetpublic2018-05-13 15:01
ReporterAlexey Tor.Assigned ToOndrej Pokorny 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platform WinXP x32 sp3OSOS Version
Product Version1.7 (SVN)Product Build 
Target Version1.10Fixed in Version1.6.2 
Summary0029905: Imagelist bug: png icons load in wrong size
DescriptionRun demo under Win32 (Linux gtk2- no bug)

- press button1
- press button2
- press button1 again

after presses of buttons, wrong streched icons loaded.
TagsNo tags attached.
Fixed in Revisionr52077
LazTarget1.10
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0032229 resolvedOndrej Pokorny Packages TListView and symbols, display incorrect 

Activities

Alexey Tor.

2016-03-26 17:55

reporter  

img-bad.png (5,601 bytes)
img-bad.png (5,601 bytes)

Alexey Tor.

2016-03-26 17:55

reporter  

img-bad2.png (5,949 bytes)
img-bad2.png (5,949 bytes)

Alexey Tor.

2016-03-26 17:56

reporter  

tst-imag.zip (9,251 bytes)

Bart Broersma

2016-03-27 16:32

developer   ~0091489

Clicking on either button makes all images disappear.
Lazarus 1.7 r52056 FPC 3.0.0 32-bit on Win7-64.

I attached a similar project (il.zip) where whenever I select the lage images, they disappear, but selectng the smaller ones works.
(As a reference it will also load the glyphs in seperate TSpeedButtons, so you can see what you should see in the ToolButtons).
On Linux (GTK2/QT) 32 bit my program behaves as expected.

Bart Broersma

2016-03-27 16:32

developer  

il.zip (77,759 bytes)

Bart Broersma

2016-03-27 16:39

developer   ~0091490

A simple workaround is to free and recreate the imagelist before changing it's width (changing the width/height will clear it anyway). You may have to re-attach the imagelist to the toolbar then.

Bart Broersma

2016-03-27 17:32

developer   ~0091493

When you wite the data of imagelist with ImageList1.WriteData(FS) to a filestream, then the data is the same wether or not you freed and recreated the imagelist beforeadding the images.

Bart Broersma

2016-03-28 16:00

developer   ~0091539

Please test and close if OK.

Ondrej Pokorny

2018-05-13 13:25

reporter   ~0108271

I reverted r52077 in r57916. Please retest.

Alexey Tor.

2018-05-13 13:41

reporter   ~0108272

That demo still works ok.

Ondrej Pokorny

2018-05-13 13:50

reporter   ~0108273

Good, please close this report :)

Issue History

Date Modified Username Field Change
2016-03-26 17:55 Alexey Tor. New Issue
2016-03-26 17:55 Alexey Tor. File Added: img-bad.png
2016-03-26 17:55 Alexey Tor. File Added: img-bad2.png
2016-03-26 17:56 Alexey Tor. File Added: tst-imag.zip
2016-03-27 16:32 Bart Broersma Note Added: 0091489
2016-03-27 16:32 Bart Broersma File Added: il.zip
2016-03-27 16:35 Bart Broersma LazTarget => -
2016-03-27 16:35 Bart Broersma Status new => confirmed
2016-03-27 16:36 Bart Broersma Widgetset => Win32/Win64
2016-03-27 16:36 Bart Broersma Category LCL => Widgetset
2016-03-27 16:39 Bart Broersma Note Added: 0091490
2016-03-27 17:32 Bart Broersma Note Added: 0091493
2016-03-28 16:00 Bart Broersma Fixed in Revision => r52077
2016-03-28 16:00 Bart Broersma LazTarget - => 1.6.2
2016-03-28 16:00 Bart Broersma Note Added: 0091539
2016-03-28 16:00 Bart Broersma Status confirmed => resolved
2016-03-28 16:00 Bart Broersma Fixed in Version => 1.6.2
2016-03-28 16:00 Bart Broersma Resolution open => fixed
2016-03-28 16:00 Bart Broersma Assigned To => Bart Broersma
2016-03-28 16:00 Bart Broersma Target Version => 1.6.2
2016-03-28 17:24 Alexey Tor. Status resolved => closed
2017-08-01 00:13 Bart Broersma Relationship added related to 0032229
2018-05-13 13:25 Ondrej Pokorny LazTarget 1.6.2 => 1.10
2018-05-13 13:25 Ondrej Pokorny Assigned To Bart Broersma => Ondrej Pokorny
2018-05-13 13:25 Ondrej Pokorny Note Added: 0108271
2018-05-13 13:25 Ondrej Pokorny Status closed => assigned
2018-05-13 13:25 Ondrej Pokorny Resolution fixed => reopened
2018-05-13 13:25 Ondrej Pokorny Target Version 1.6.2 => 1.10
2018-05-13 13:25 Ondrej Pokorny Status assigned => resolved
2018-05-13 13:25 Ondrej Pokorny Resolution reopened => fixed
2018-05-13 13:41 Alexey Tor. Note Added: 0108272
2018-05-13 13:50 Ondrej Pokorny Note Added: 0108273
2018-05-13 15:01 Alexey Tor. Status resolved => closed